Package org.apache.solr.client.solrj.impl

## Class ConcurrentUpdateSolrClient

- java.lang.Object
- - org.apache.solr.client.solrj.SolrClient
  - - org.apache.solr.client.solrj.impl.ConcurrentUpdateSolrClient

All Implemented Interfaces:
  `Closeable`, `Serializable`, `AutoCloseable`

    @Deprecated(since="9.0")
    public class ConcurrentUpdateSolrClient
    extends SolrClient

Deprecated.
Please use `ConcurrentUpdateHttp2SolrClient`
ConcurrentUpdateSolrClient buffers all added documents and writes them into open HTTP connections. This class is thread safe.

Params from `UpdateRequest` are converted to http request parameters. When params change between UpdateRequests a new HTTP request is started.

Although any SolrClient request can be made with this implementation, it is only recommended to use ConcurrentUpdateSolrClient with /update requests. The class `HttpSolrClient` is better suited for the query interface.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `ConcurrentUpdateSolrClient.Builder` Deprecated. Constructs `ConcurrentUpdateSolrClient` instances from provided configuration.

### Constructor Summary

Constructors
`protected` `ConcurrentUpdateSolrClient​(ConcurrentUpdateSolrClient.Builder builder)` Deprecated. Use builder to construct this class.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `blockUntilFinished()` Deprecated.
`void` `close()` Deprecated.
`Set<String>` `getQueryParams()` Deprecated.
`void` `handleError​(Throwable ex)` Deprecated.
`void` `onSuccess​(org.apache.http.HttpResponse resp)` Deprecated. Intended to be used as an extension point for doing post processing after a request completes.
`NamedList<Object>` `request​(SolrRequest<?> request, String collection)` Deprecated. Execute a request against a Solr server for a given collection
`void` `setParser​(ResponseParser responseParser)` Deprecated.
`void` `setPollQueueTime​(int pollQueueTime)` Deprecated.
`void` `setQueryParams​(Set<String> queryParams)` Deprecated. Expert Method.
`void` `setRequestWriter​(RequestWriter requestWriter)` Deprecated.
`void` `shutdownNow()` Deprecated.

### Methods inherited from class org.apache.solr.client.solrj.SolrClient

`add, add, add, add, add, add, add, add, add, add, addBean, addBean, addBean, addBean, addBeans, addBeans, addBeans, addBeans, addBeans, addBeans, commit, commit, commit, commit, commit, commit, deleteById, deleteById, deleteById, deleteById, deleteById, deleteById, deleteById, deleteById, deleteByQuery, deleteByQuery, deleteByQuery, deleteByQuery, getBinder, getById, getById, getById, getById, getById, getById, getById, getById, getContext, optimize, optimize, optimize, optimize, optimize, optimize, ping, ping, query, query, query, query, queryAndStreamResponse, queryAndStreamResponse, queryAndStreamResponse, request, rollback, rollback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConcurrentUpdateSolrClient

    protected ConcurrentUpdateSolrClient​(ConcurrentUpdateSolrClient.Builder builder)

Deprecated.
Use builder to construct this class. Uses the supplied HttpClient to send documents to the Solr server.

### Method Detail

#### getQueryParams

    public Set<String> getQueryParams()

Deprecated.

#### setQueryParams

    public void setQueryParams​(Set<String> queryParams)

Deprecated.
Expert Method.

Parameters:
  `queryParams` - set of param keys to only send via the query string

#### request

    public NamedList<Object> request​(SolrRequest<?> request,
                                     String collection)
                              throws SolrServerException,
                                     IOException

Deprecated.
Description copied from class: `SolrClient`
Execute a request against a Solr server for a given collection

Specified by:
  `request` in class `SolrClient`
Parameters:
  `request` - the request to execute
  `collection` - the collection to execute the request against
Returns:
  a `NamedList` containing the response from the server
Throws:
  `SolrServerException` - if there is an error on the server
  `IOException` - If there is a low-level I/O error.

#### blockUntilFinished

    public void blockUntilFinished()
                            throws IOException

Deprecated.

Throws:
  `IOException`

#### handleError

    public void handleError​(Throwable ex)

Deprecated.

#### onSuccess

    public void onSuccess​(org.apache.http.HttpResponse resp)

Deprecated.
Intended to be used as an extension point for doing post processing after a request completes.

#### close

    public void close()

Deprecated.

#### shutdownNow

    public void shutdownNow()

Deprecated.

#### setParser

    public void setParser​(ResponseParser responseParser)

Deprecated.

#### setPollQueueTime

    public void setPollQueueTime​(int pollQueueTime)

Deprecated.

Parameters:
  `pollQueueTime` - time for an open connection to wait for updates when the queue is empty.

#### setRequestWriter

    public void setRequestWriter​(RequestWriter requestWriter)

Deprecated.